## cypari2 1.0.0

=== Makefile ===
# Optional Makefile for easier development

VERSION = $(shell cat VERSION)

PYTHON = python
PIP = $(PYTHON) -m pip -v


build:
	$(PYTHON) setup.py build

install:
	$(PIP) install --no-index --ignore-installed .

dist:
	chmod go+rX-w -R .
	umask 0022 && $(PYTHON) setup.py sdist --formats=gztar


.PHONY: build install dist

=== debian/changelog ===
cypari2 (1.0.0-3ubuntu2) artful; urgency=medium

  * No-change rebuild to drop _PyFPE support.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 05 Sep 2017 08:21:09 +0000

cypari2 (1.0.0-3ubuntu1) artful; urgency=medium

  * Drop versioned build-dep on experimental cython; there's no explanation
    for this build-dep, it builds fine without, and we don't want to move
    cython 0.26~ out of experimental ahead of Debian.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Tue, 22 Aug 2017 03:58:47 +0000

cypari2 (1.0.0-3) unstable; urgency=medium

  * Upload to unstable.

 -- Ximin Luo <infinity0@debian.org>  Fri, 18 Aug 2017 17:14:37 +0200

cypari2 (1.0.0-2) experimental; urgency=medium

  * Re-upload to experimental, the previous upload went to unstable by mistake
    (even though the changelog specified experimental) due to an oversight when
    passing sbuild(1) flags.
  * Add myself to Uploaders.
  * Update to latest Standards-Version; no changes required.

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 20:35:51 +0200

cypari2 (1.0.0-1) experimental; urgency=medium

  [ Tobias Hansen ]
  * Initial release (Closes: #864792).

  [ Ximin Luo ]
  * Update d/copyright.

 -- Ximin Luo <infinity0@debian.org>  Wed, 16 Aug 2017 17:59:45 +0200

=== debian/control ===
Source: cypari2
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>, Ximin Luo <infinity0@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dpkg-dev (>= 1.17.14),
 pari-doc (>= 2.9),
 pari-gp (>= 2.9),
 python-cysignals-pari (>= 1.6.4),
 python-setuptools,
 python-all,
 libgmp-dev,
 libpython-dev,
 libpari-dev (>= 2.9),
 cython,
Standards-Version: 4.0.1
X-Python-Version: >= 2.7
Homepage: https://github.com/defeo/cypari2
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cypari2.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cypari2.git

Package: python-cypari2
Architecture: any
Multi-Arch: same
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Description: Python interface to PARI
 A Python interface to the number theory library libpari.
 .
 This package installs the library for Python 2.

## cypari2 1.1.3

=== debian/changelog ===
cypari2 (1.1.3-2) unstable; urgency=medium

  * Add sagemath (<< 8.1~) to prevent this package from migrating to
    testing before sagemath 8.1.
  * Upload to unstable.

 -- Tobias Hansen <thansen@debian.org>  Sat, 30 Dec 2017 10:20:56 +0100

cypari2 (1.1.3-1) experimental; urgency=medium

  * New upstream release.

 -- Tobias Hansen <thansen@debian.org>  Wed, 18 Oct 2017 19:02:56 +0100

cypari2 (1.1.1-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.1.1.

 -- Tobias Hansen <thansen@debian.org>  Sun, 15 Oct 2017 16:34:37 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cypari2
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>, Ximin Luo <infinity0@debian.org>
 Build-Depends:
  debhelper (>= 10),
@@ -16,8 +15,8 @@
  libgmp-dev,
  libpython-dev,
  libpari-dev (>= 2.9),
- cython,
-Standards-Version: 4.0.1
+ cython (>= 0.26~),
+Standards-Version: 4.1.1
 X-Python-Version: >= 2.7
 Homepage: https://github.com/defeo/cypari2
 Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cypari2.git
@@ -27,6 +26,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Breaks: sagemath (<< 8.1~)
 Description: Python interface to PARI
  A Python interface to the number theory library libpari.
  .

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

%:
	dh $@ --with autoreconf --with python2  --buildsystem=pybuild

## cypari2 1.1.4

=== Makefile ===
--- 
+++ 
@@ -12,9 +12,12 @@
 install:
 	$(PIP) install --no-index --ignore-installed .
 
+check:
+	$(PYTHON) tests/rundoctest.py
+
 dist:
 	chmod go+rX-w -R .
 	umask 0022 && $(PYTHON) setup.py sdist --formats=gztar
 
 
-.PHONY: build install dist
+.PHONY: build install check dist

=== debian/changelog ===
cypari2 (1.1.4-2) unstable; urgency=medium

  * Upload to unstable.
  * Add disable-test-with-pari-bug.patch:
    Disable a test which fails on mips architectures due to a bug in pari.

 -- Tobias Hansen <thansen@debian.org>  Tue, 06 Feb 2018 23:24:32 +0100

cypari2 (1.1.4-1) experimental; urgency=medium

  * New upstream version,
    fixing test failure on 32 bit architectures (Closes: #889502).
  * Remove reproducible_build.patch (applied upstream).

 -- Tobias Hansen <thansen@debian.org>  Mon, 05 Feb 2018 10:21:58 +0100

cypari2 (1.1.3-3) experimental; urgency=medium

  * Create python 3 package.
  * Update Vcs links for salsa.
  * Create a documentation package.
  * Use the local mathjax version.
  * Run tests.
  * Apply reproducible_build.patch from Chris Lamb. (Closes: #885873)

 -- Tobias Hansen <thansen@debian.org>  Thu, 25 Jan 2018 22:01:26 +0000

=== debian/control ===
Source: cypari2
Section: python
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>, Ximin Luo <infinity0@debian.org>
Build-Depends:
 debhelper (>= 10),
 dh-python,
 dpkg-dev (>= 1.17.14),
 cython (>= 0.26),
 cython3 (>= 0.26),
 libgmp-dev,
 libpari-dev (>= 2.9),
 pari-doc (>= 2.9),
 pari-gp (>= 2.9),
 libjs-mathjax,
 libpython-dev,
 libpython3-dev,
 python-cysignals-pari (>= 1.6.6),
 python3-cysignals-pari (>= 1.6.6),
 python-setuptools,
 python3-setuptools,
 python-sphinx,
 python3-sphinx,
 python-all,
 python3-all,
Standards-Version: 4.1.3
X-Python-Version: >= 2.7
X-Python3-Version: >= 3.5
Homepage: https://github.com/defeo/cypari2
Vcs-Git: https://salsa.debian.org/science-team/cypari2.git
Vcs-Browser: https://salsa.debian.org/science-team/cypari2

Package: python-cypari2
Architecture: any
Multi-Arch: same
Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: sagemath (<< 8.1~)
Description: Python interface to PARI -- Python 2
 A Python interface to the number theory library libpari.
 .
 This package installs the library for Python 2.

Package: python3-cypari2
Architecture: any
Multi-Arch: same
Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
Breaks: sagemath (<< 8.1~)
Description: Python interface to PARI -- Python 3
 A Python interface to the number theory library libpari.
 .
 This package installs the library for Python 3.

Package: python-cypari2-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-mathjax
Description: Python interface to PARI -- documentation
 A Python interface to the number theory library libpari.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export PYBUILD_NAME = cypari2

%:
	dh $@ --with autoreconf --with python2,python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	cd docs && $(MAKE) html

override_dh_auto_test:
	python2 tests/rundoctest.py
	python3 tests/rundoctest.py

## cypari2 1.2.1

=== debian/changelog ===
cypari2 (1.2.1-3) unstable; urgency=medium

  * Team upload.
  * Drop versioned build-dep on old dpkg-dev, now covered in stable.
  * Bump Standards-Version to 4.2.1, no changes needed.
  * Replace all the (lib)python(3)-dev dependencies with only python(3)-all-dev.
    Depending on an explicit Python version create unecessary noise during
    transitions and require uploads like these to cope with the changes,
    instead of simple rebuilds.

 -- Mattia Rizzolo <mattia@debian.org>  Wed, 19 Dec 2018 02:26:11 +0100

cypari2 (1.2.1-2) unstable; urgency=medium

  * Build-Depend on libpython3.6-dev (Closes: #915235).

 -- Tobias Hansen <thansen@debian.org>  Sun, 09 Dec 2018 22:52:21 +0100

cypari2 (1.2.1-1) unstable; urgency=medium

  * New upstream version (Closes: #905302).
  * Build-Depend on libpython3.7-dev.
  * Use debhelper compat level 11.
  * Remove X-Python-Version: >= 2.7.
  * Bump Standards-Version.
  * Use secure URL in d/copyright.

 -- Tobias Hansen <thansen@debian.org>  Sat, 11 Aug 2018 11:31:31 +0000

cypari2 (1.1.4-3) unstable; urgency=medium

  * Fix doctest-find-module.patch after internal pybuild paths changed.
    (Closes: #895215)
  * Build-Depend on dh-python >= 3.20180313.

 -- Tobias Hansen <thansen@debian.org>  Thu, 12 Apr 2018 11:46:20 +0200

=== debian/control ===
--- 
+++ 
@@ -4,9 +4,8 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Tobias Hansen <thansen@debian.org>, Ximin Luo <infinity0@debian.org>
 Build-Depends:
- debhelper (>= 10),
- dh-python,
- dpkg-dev (>= 1.17.14),
+ debhelper (>= 11),
+ dh-python (>= 3.20180313),
  cython (>= 0.26),
  cython3 (>= 0.26),
  libgmp-dev,
@@ -14,18 +13,15 @@
  pari-doc (>= 2.9),
  pari-gp (>= 2.9),
  libjs-mathjax,
- libpython-dev,
- libpython3-dev,
+ python-all-dev,
+ python3-all-dev,
  python-cysignals-pari (>= 1.6.6),
  python3-cysignals-pari (>= 1.6.6),
  python-setuptools,
  python3-setuptools,
  python-sphinx,
  python3-sphinx,
- python-all,
- python3-all,
-Standards-Version: 4.1.3
-X-Python-Version: >= 2.7
+Standards-Version: 4.2.1
 X-Python3-Version: >= 3.5
 Homepage: https://github.com/defeo/cypari2
 Vcs-Git: https://salsa.debian.org/science-team/cypari2.git

## cypari2 1.3.1

=== requirements.txt ===
setuptools
Cython
cysignals
Sphinx>=1.6

=== debian/changelog ===
cypari2 (1.3.1-2) unstable; urgency=medium

  * Upload to unstable.
  * Depend on cysignals (>= 1.8.1).

 -- Tobias Hansen <thansen@debian.org>  Tue, 15 Jan 2019 13:32:37 +0100

cypari2 (1.3.1-1) experimental; urgency=medium

  * New upstream version.
  * Drop 'Multi-Arch: same' for python-cypari2 and python3-cypari2.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Jan 2019 16:34:07 +0000

=== debian/control ===
--- 
+++ 
@@ -15,8 +15,8 @@
  libjs-mathjax,
  python-all-dev,
  python3-all-dev,
- python-cysignals-pari (>= 1.6.6),
- python3-cysignals-pari (>= 1.6.6),
+ python-cysignals-pari (>= 1.8.1),
+ python3-cysignals-pari (>= 1.8.1),
  python-setuptools,
  python3-setuptools,
  python-sphinx,
@@ -29,7 +29,6 @@
 
 Package: python-cypari2
 Architecture: any
-Multi-Arch: same
 Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Breaks: sagemath (<< 8.1~)
 Description: Python interface to PARI -- Python 2
@@ -39,7 +38,6 @@
 
 Package: python3-cypari2
 Architecture: any
-Multi-Arch: same
 Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
 Breaks: sagemath (<< 8.1~)
 Description: Python interface to PARI -- Python 3

## cypari2 2.1.1

=== Makefile ===
--- 
+++ 
@@ -10,10 +10,10 @@
 	$(PYTHON) setup.py build
 
 install:
-	$(PIP) install --no-index --ignore-installed .
+	$(PIP) install --no-index --upgrade .
 
 check:
-	$(PYTHON) tests/rundoctest.py
+	ulimit -s 8192; $(PYTHON) -u tests/rundoctest.py
 
 dist:
 	chmod go+rX-w -R .

=== debian/changelog ===
cypari2 (2.1.1-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 09:38:00 +0100

cypari2 (2.1.1-2) unstable; urgency=medium

  * Team upload.
  * Drop python2 support; Closes: #936360, #942986

 -- Sandro Tosi <morph@debian.org>  Sun, 27 Oct 2019 10:21:42 -0400

cypari2 (2.1.1-1) unstable; urgency=medium

  * New upstream version.

 -- Tobias Hansen <thansen@debian.org>  Sun, 01 Sep 2019 10:32:20 +0000

=== debian/control ===
--- 
+++ 
@@ -6,35 +6,20 @@
 Build-Depends:
  debhelper (>= 11),
  dh-python (>= 3.20180313),
- cython (>= 0.26),
  cython3 (>= 0.26),
  libgmp-dev,
  libpari-dev (>= 2.9),
  pari-doc (>= 2.9),
  pari-gp (>= 2.9),
  libjs-mathjax,
- python-all-dev,
  python3-all-dev,
- python-cysignals-pari (>= 1.8.1),
  python3-cysignals-pari (>= 1.8.1),
- python-setuptools,
  python3-setuptools,
- python-sphinx,
  python3-sphinx,
-Standards-Version: 4.2.1
-X-Python3-Version: >= 3.5
+Standards-Version: 4.4.0
 Homepage: https://github.com/defeo/cypari2
 Vcs-Git: https://salsa.debian.org/science-team/cypari2.git
 Vcs-Browser: https://salsa.debian.org/science-team/cypari2
-
-Package: python-cypari2
-Architecture: any
-Depends: ${python:Depends}, ${shlibs:Depends}, ${misc:Depends}
-Breaks: sagemath (<< 8.1~)
-Description: Python interface to PARI -- Python 2
- A Python interface to the number theory library libpari.
- .
- This package installs the library for Python 2.
 
 Package: python3-cypari2
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export PYBUILD_NAME = cypari2

%:
	dh $@ --with autoreconf --with python3,sphinxdoc  --buildsystem=pybuild

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
	cd docs && $(MAKE) html

override_dh_auto_test:
	python3 tests/rundoctest.py

## cypari2 2.1.2

=== Makefile ===
--- 
+++ 
@@ -14,6 +14,8 @@
 
 check:
 	ulimit -s 8192; $(PYTHON) -u tests/rundoctest.py
+	ulimit -s 8192; $(PYTHON) tests/test_integers.py
+	ulimit -s 8192; $(PYTHON) tests/test_backward.py
 
 dist:
 	chmod go+rX-w -R .

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = python -msphinx
SPHINXPROJ    = CyPari2
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
cypari2 (2.1.2-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * Demote sphinx dependency to B-D-I. (Closes: #983358)

  [ Tobias Hansen ]
  * Add dependency on python3-cysignals to python3-cypari2. (Closes: #978654)

 -- Tobias Hansen <thansen@debian.org>  Thu, 25 Feb 2021 21:39:44 +0000

cypari2 (2.1.2-1) unstable; urgency=medium

  * New upstream version. (Closes: #973351)
  * Mark python-cypari2-doc as Multi-Arch: foreign.
  * Fix paths in doc-base file.

 -- Tobias Hansen <thansen@debian.org>  Sat, 07 Nov 2020 11:01:53 +0000

=== debian/control ===
--- 
+++ 
@@ -6,24 +6,26 @@
 Build-Depends:
  debhelper (>= 11),
  dh-python (>= 3.20180313),
+ dh-sequence-python3,
  cython3 (>= 0.26),
  libgmp-dev,
  libpari-dev (>= 2.9),
  pari-doc (>= 2.9),
  pari-gp (>= 2.9),
- libjs-mathjax,
  python3-all-dev,
  python3-cysignals-pari (>= 1.8.1),
  python3-setuptools,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
  python3-sphinx,
-Standards-Version: 4.4.0
-Homepage: https://github.com/defeo/cypari2
+Standards-Version: 4.5.1
+Homepage: https://github.com/sagemath/cypari2
 Vcs-Git: https://salsa.debian.org/science-team/cypari2.git
 Vcs-Browser: https://salsa.debian.org/science-team/cypari2
 
 Package: python3-cypari2
 Architecture: any
-Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}
+Depends: ${python3:Depends}, ${shlibs:Depends}, ${misc:Depends}, python3-cysignal-bare | python3-cysignals-pari
 Breaks: sagemath (<< 8.1~)
 Description: Python interface to PARI -- Python 3
  A Python interface to the number theory library libpari.
@@ -33,6 +35,7 @@
 Package: python-cypari2-doc
 Architecture: all
 Section: doc
+Multi-Arch: foreign
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}, libjs-mathjax
 Description: Python interface to PARI -- documentation
  A Python interface to the number theory library libpari.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export PYBUILD_NAME = cypari2

%:
	dh $@ --with autoreconf --buildsystem=pybuild

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	cd docs && $(MAKE) html

override_dh_auto_test:
	python3 tests/rundoctest.py

=== debian/watch ===
version=4
https://pypi.python.org/packages/source/c/cypari2/ \
 cypari2-(.+)\.tar\.gz debian uupdate

## cypari2 2.1.4

=== Makefile ===
# Optional Makefile for easier development

VERSION = $(shell cat VERSION)

PYTHON = python
PIP = $(PYTHON) -m pip -v


install:
	$(PIP) install --upgrade .

check:
	ulimit -s 8192; $(PYTHON) -u tests/rundoctest.py
	ulimit -s 8192; $(PYTHON) tests/test_integers.py
	ulimit -s 8192; $(PYTHON) tests/test_backward.py

dist:
	chmod go+rX-w -R .
	$(PIP) install build
	umask 0022 && $(PYTHON) -m build --sdist


.PHONY: install check dist

=== debian/changelog ===
cypari2 (2.1.4-1build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- William Grant <wgrant@ubuntu.com>  Mon, 01 Apr 2024 16:43:26 +1100

cypari2 (2.1.4-1build1) noble; urgency=high

  * No change rebuild against libpari-gmp-tls8t64.

 -- Julian Andres Klode <juliank@ubuntu.com>  Fri, 22 Mar 2024 16:38:43 +0100

cypari2 (2.1.4-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
    Closes: #1055731, #1056797
  * Point watch file to github since pypi is lacking sphinx doc input
  * Standards-Version: 4.6.2 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Testsuite: autopkgtest-pkg-python (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Set upstream metadata fields: Repository-Browse.
  * Remove field Testsuite on binary package python-cypari2-doc that duplicates
    source.
  * Fix clean target
    Closes: #1044173

 -- Andreas Tille <tille@debian.org>  Thu, 18 Jan 2024 22:00:09 +0100

cypari2 (2.1.2-4) unstable; urgency=medium

  [ Stefano Rivera ]
  * Team upload.
  * Patch: Python 3.11 support. (Closes: #1024064)

  [ Debian Janitor ]
  * Use correct machine-readable copyright file URI.
  * Set debhelper-compat version in Build-Depends.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Drop unnecessary dependency on dh-autoreconf.
  * Update standards version to 4.6.0, no changes needed.

 -- Stefano Rivera <stefanor@debian.org>  Sun, 25 Dec 2022 22:03:37 -0400

cypari2 (2.1.2-3) unstable; urgency=medium

  * Apply pari-2.15.patch to fix doctests with pari 2.15. (Closes: #1020456)
  * Build-Depend on pari 2.15.1~pre1.

 -- Tobias Hansen <thansen@debian.org>  Wed, 02 Nov 2022 21:33:40 +0000

=== debian/control ===
Source: cypari2
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tobias Hansen <thansen@debian.org>,
           Ximin Luo <infinity0@debian.org>
Section: python
Testsuite: autopkgtest-pkg-python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               dh-sequence-python3,
               cython3,
               libgmp-dev,
               libpari-dev (>= 2.15.1~pre1),
               pari-doc (>= 2.15.1~pre1),
               pari-gp (>= 2.15.1~pre1),
               python3-all-dev,
               python3-cysignals-pari,
               python3-setuptools
Build-Depends-Indep: dh-sequence-sphinxdoc,
                     python3-sphinx
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/science-team/cypari2
Vcs-Git: https://salsa.debian.org/science-team/cypari2.git
Homepage: https://github.com/sagemath/cypari2
Rules-Requires-Root: no

Package: python3-cypari2
Architecture: any
Depends: ${python3:Depends},
         ${shlibs:Depends},
         ${misc:Depends},
         python3-cysignal-bare | python3-cysignals-pari
Description: Python interface to PARI -- Python 3
 A Python interface to the number theory library libpari.
 .
 This package installs the library for Python 3.

Package: python-cypari2-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${sphinxdoc:Depends},
         ${misc:Depends},
         libjs-mathjax
Description: Python interface to PARI -- documentation
 A Python interface to the number theory library libpari.
 .
 This is the common documentation package.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow
export PYBUILD_NAME = cypari2

%:
	dh $@ --buildsystem=pybuild

override_dh_clean:
	dh_clean
	rm -rf docs/build

execute_after_dh_auto_build-indep: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build-indep:
	cd docs && $(MAKE) html
	#PYTHONPATH=. http_proxy='127.0.0.1:9' sphinx-build -bhtml docs/source docs/build/html

override_dh_auto_test:
	python3 tests/rundoctest.py
